<html devsite><head>
    <title>Бюллетень по безопасности Pixel и Nexus – июль 2018 г.</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2018 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          //www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>Опубликовано 2 июля 2018 г. | Обновлено 8 ноября 2018 г.</em></p>

<p>
В этом бюллетене содержится информация об уязвимостях в защите и об улучшениях функциональных возможностей <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">поддерживаемых устройств Pixel и Nexus</a> (устройства Google).
Все проблемы, перечисленные здесь и в бюллетене по безопасности Android за июль 2018 года, устранены в исправлении от 5 июля 2018 года или более новом. Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/pixelphone/answer/4457705">Справочном центре</a>.
</p>
<p>
Поддерживаемые устройства Google получат обновление системы безопасности 2018-07-05. Мы рекомендуем всем пользователям установить перечисленные здесь обновления.
</p>
<p class="note">
<strong>Примечание.</strong> Образы встроенного ПО для устройств Google можно найти на <a href="https://developers.google.com/android/images">сайте Google Developers</a>.
</p>

<h2 id="announcements">Объявления</h2>
<p>Помимо исправлений уязвимостей, описанных в бюллетене по безопасности Android за июль 2018 года, обновления для устройств Pixel и Nexus содержат также исправления проблем, перечисленных ниже. Мы сообщили партнерам об этих проблемах по крайней мере месяц назад. Они могут включить их исправления в свои обновления безопасности.</p>

<h2 id="security-patches">Обновления системы безопасности</h2>
<p>
Уязвимости сгруппированы по компонентам, которые они затрагивают. Для каждого приведены описание и таблица, где указаны CVE, ссылки, <a href="#type">тип уязвимости</a>, <a href="https://source.android.com/security/overview/updates-resources.html#severity">уровень серьезности</a>, а также версии AOSP (при наличии). Где возможно, мы приводим основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), Дополнительные ссылки перечислены в квадратных скобках.
</p>

<h3 id="framework">Framework</h3>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2018-9426</td>
    <td><a href="https://android.googlesource.com/platform/external/bouncycastle/+/129a20459ea828c1b05f0d5da57f69a2a3212ad7">A-79148652</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9376</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/e6655cb8a78b757e9329b8200a90746ffac3a5a9">A-69981755</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9434</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/native/+/ab1fb955acc8bbe6b9086a4ab54beab003a887a9">A-29833520</a> [<a href="https://android.googlesource.com/platform/frameworks/native/+/c4b7338b1a0995222d229a6f794db02c974ba0d8">2</a>]</td>
    <td>РИ</td>
    <td>Средний</td>
    <td>6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
</tbody></table>

<h3 id="media-framework">Media Framework</h3>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2018-9429</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/7306d8b37c00729dc41d663a4b244a00209d537b">A-73927042</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9423</td>
    <td><a href="https://android.googlesource.com/platform/external/libhevc/+/e46e5994a80c31f6533384f0f325555f3a87bee3">A-77599438</a></td>
    <td>РИ</td>
    <td>Средний</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
</tbody></table>

<h3 id="system">Система</h3>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Обновленные версии AOSP</th>
  </tr>
  <tr>
    <td>CVE-2018-9413</td>
    <td><a href="https://android.googlesource.com/platform/system/bt/+/97eb2f9cfba4f38d64dffa0558f1c4c3aa91b4f8">A-73782082</a></td>
    <td>УВК</td>
    <td>Средний</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9418</td>
    <td><a href="https://android.googlesource.com/platform/system/bt/+/8e702ed3539caac44a616243e33aaad1b2b4801f">A-73824150</a></td>
    <td>УВК</td>
    <td>Средний</td>
    <td>7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9430</td>
    <td><a href="https://android.googlesource.com/platform/system/bt/+/605ebb3369b3f961196815065a9fe4ba5bc4d659">A-73963551</a></td>
    <td>УВК</td>
    <td>Средний</td>
    <td>6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9414</td>
    <td><a href="https://android.googlesource.com/platform/packages/apps/Bluetooth/+/98ff9fe7db5a25fa2c772a85f0b9baa3545228bf">A-78787521</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1</td>
  </tr>
  <tr>
    <td>CVE-2018-9431</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/5c23facbf802c9b4c88ceb60e1b782abcc55ddc9">A-77600924</a></td>
    <td>ПП</td>
    <td>Средний</td>
    <td>8.0, 8.1</td>
  </tr>
</tbody></table>

<h3 id="kernel-components">Компоненты ядра</h3>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
  <tr>
   <td>CVE-2018-9416</td>
   <td>A-75300370<a href="#asterisk">*</a></td>
   <td>ПП</td>
   <td>Средний</td>
   <td>SCSI-драйвер</td>
  </tr>

  <tr>
   <td>CVE-2018-9415</td>
   <td>A-69129004<br />
   <a href="https://patchwork.kernel.org/patch/10175615/">Upstream kernel</a></td>
   <td>ПП</td>
   <td>Средний</td>
   <td>Драйвер AMBA</td>
  </tr>

  <tr>
   <td>CVE-2018-7995</td>
   <td>A-77694092<br />
<a href="https://git.kernel.org/pub/scm/linux/kernel/git/tip/tip.git/commit/?id=b3b7c4795ccab5be71f080774c45bbbcc75c2aaf">Upstream kernel</a></td>
   <td>ПП</td>
   <td>Средний</td>
   <td>mcheck</td>
  </tr>

  <tr>
   <td>CVE-2018-1065</td>
   <td>A-76206188<br />
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=57ebd808a97d7c5b1e1afb937c2db22beba3c1f8">Upstream kernel</a></td>
   <td>ПП</td>
   <td>Средний</td>
   <td>Система сетевой фильтрации netfilter</td>
  </tr>

  <tr>
   <td>CVE-2017-1821</td>
   <td>A-76874268<br />
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=27463ad99f738ed93c7c8b3e2e5bc8c4853a2ff2">Upstream kernel</a></td>
   <td>ПП</td>
   <td>Средний</td>
   <td>Ethernet</td>
  </tr>

  <tr>
   <td>CVE-2017-1000112</td>
   <td>A-68806309<br />
<a href="https://git.kernel.org/pub/scm/linux/kernel/git/davem/net.git/commit/?id=85f1bd9a7b5a79d5baa8bf44af19658f7bf77bfa">Upstream kernel</a></td>
   <td>ПП</td>
   <td>Средний</td>
   <td>Ядро Linux</td>
  </tr>
</tbody></table>

<h3 id="qualcomm-components">Компоненты Qualcomm</h3>

<table>
  <colgroup><col width="21%" />
  <col width="21%" />
  <col width="14%" />
  <col width="14%" />
  <col width="30%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>Ссылки</th>
    <th>Тип</th>
    <th>Уровень серьезности</th>
    <th>Компонент</th>
  </tr>
 <tr>
   <td>CVE-2018-5865</td>
   <td>A-77528512<br />
   <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=8fb4202e3bb8cfbbb9f9f0e8695891c9971cfcc2">QC-CR#2179937</a></td>
   <td>РИ</td>
   <td>Средний</td>
   <td>Программа fwlog</td>
  </tr>
  <tr>
   <td>CVE-2018-5864</td>
   <td>A-77528805<br />
   <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=9c042f7827e0d21e5b93c04b418bca0230de91dc">QC-CR#2170392</a></td>
   <td>РИ</td>
   <td>Средний</td>
   <td>WMA</td>
  </tr>
  <tr>
   <td>CVE-2018-11304</td>
   <td>A-73242483<a href="#asterisk">*</a><br />
       QC-CR#2209291</td>
   <td>ПП</td>
   <td>Средний</td>
   <td>Аудиодрайвер</td>
  </tr>
  <tr>
   <td>CVE-2018-5907</td>
   <td>A-72710411<a href="#asterisk">*</a><br />
       QC-CR#2209291</td>
   <td>ПП</td>
   <td>Средний</td>
   <td>Аудиодрайвер</td>
  </tr>
  <tr>
   <td>CVE-2018-5862</td>
   <td>A-77528300<br />
   <a href="https://source.codeaurora.org/quic/la/platform/vendor/qcom-opensource/wlan/qcacld-3.0/commit/?id=41ad3f76792e08a84962a0b8e9cfb1ba6c4c9ca6">QC-CR#2153343</a></td>
   <td>ПП</td>
   <td>Средний</td>
   <td>WLAN</td>
  </tr>
  <tr>
   <td>CVE-2018-5859</td>
   <td>A-77527701<br />
   <a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=36400a7fa3753028a3bf89a9cdb28c5e25693c59">QC-CR#2146486</a></td>
   <td>ПП</td>
   <td>Средний</td>
   <td>Видеодрайвер</td>
  </tr>
  <tr>
   <td>CVE-2018-5858</td>
   <td>A-77528653<br />
   <a href="https://source.codeaurora.org/quic/la/platform/vendor/opensource/audio-kernel/commit/?id=78193fa06b267c1d6582e5e6f9fb779cf067015e">QC-CR#2174725</a> [<a href="https://source.codeaurora.org/quic/la/kernel/msm-3.18/commit/?id=cd1f0cdd4715e8eae4066bd34df2eef4cf94bd7f">2</a>]</td>
   <td>ПП</td>
   <td>Средний</td>
   <td>Аудио</td>
  </tr>
  <tr>
   <td>CVE-2018-3570</td>
   <td>A-72956998<br />
   <a href="https://source.codeaurora.org/quic/la/kernel/msm-4.4/commit/?id=5f3b521525689671f2925a49121d0abe28a0a398">QC-CR#2149165</a></td>
   <td>ПП</td>
   <td>Средний</td>
   <td>Драйвер cpuidle</td>
  </tr>
  <tr>
   <td>CVE-2017-15851</td>
   <td>A-38258851<a href="#asterisk">*</a><br />
       QC-CR#2078155</td>
   <td>ПП</td>
   <td>Средний</td>
   <td>Camera_v2</td>
  </tr>
  <tr>
   <td>CVE-2017-0606</td>
   <td>A-34088848<a href="#asterisk">*</a><br />
       QC-CR#2148210<br />
       QC-CR#2022490</td>
   <td>ПП</td>
   <td>Средний</td>
   <td>Драйвер /dev/voice_svc</td>
  </tr>
</tbody></table>

<h2 id="functional-patches">Улучшения функциональных возможностей</h2>
<p>
В эти обновления включены исправления проблем, касающихся функциональных возможностей устройств Pixel. Они не связаны с уязвимостями в защите. В таблице приведены ссылки, категория обновления, например Bluetooth или мобильный Интернет, и описание улучшения, а также сведения об устройствах, для которых предназначены исправления.
</p>

<table>
  <tbody><tr>
   <th>Ссылки</th>
   <th>Категория</th>
   <th>Описание</th>
   <th>Устройства</th>
  </tr>
  <tr>
   <td>A-73204553</td>
   <td>Подключение</td>
   <td>Повышена стабильность подключений к сетям Wi-Fi, создаваемым некоторыми маршрутизаторами.</td>
   <td>Pixel 2, Pixel 2 XL</td>
  </tr>
</tbody></table>

<h2 id="common-questions-and-answers">Часто задаваемые вопросы</h2>
<p>
В этом разделе мы отвечаем на вопросы, которые могут возникнуть после прочтения бюллетеня.
</p>
<p>
<strong>1. Как определить, установлено ли на устройство обновление, в котором устранены перечисленные проблемы?
</strong>
</p>
<p>
В исправлении от 5 июля 2018 года или более новом устранены все проблемы, связанные с обновлением 2018-07-05. Информацию о том, как проверить обновления системы безопасности, можно найти в <a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Справочном центре</a>.
</p>
<p id="type">
<strong>2. Что означают сокращения в столбце <em>Тип</em>?</strong>
</p>
<p>
В этом столбце указан тип уязвимости по следующей классификации:<em></em>
</p>
<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>Сокращение</th>
   <th>Описание</th>
  </tr>
  <tr>
   <td>УВК</td>
   <td>Удаленное выполнение кода</td>
  </tr>
  <tr>
   <td>ПП</td>
   <td>Повышение привилегий</td>
  </tr>
  <tr>
   <td>РИ</td>
   <td>Раскрытие информации</td>
  </tr>
  <tr>
   <td>ОО</td>
   <td>Отказ в обслуживании</td>
  </tr>
  <tr>
   <td>Н/Д</td>
   <td>Классификация недоступна</td>
  </tr>
</tbody></table>
<p>
<strong>3. Что означает информация в столбце <em>Ссылки</em>?</strong>
</p>
<p>
В таблицах с описанием уязвимостей есть столбец <em>Ссылки</em>. Каждая запись в нем может содержать префикс, указывающий на источник ссылки, а именно:
</p>
<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>Префикс</th>
   <th>Значение</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Идентификатор ошибки Android</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Ссылочный номер Qualcomm</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>Ссылочный номер MediaTek</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>Ссылочный номер NVIDIA</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Ссылочный номер Broadcom</td>
  </tr>
</tbody></table>
<p id="asterisk">
<strong>4. Что означает символ * рядом с идентификатором ошибки Android в столбце <em>Ссылки</em>?</strong>
</p>
<p>
Символ * означает, что исправление для уязвимости не опубликовано.<em></em> Необходимое обновление содержится в последних бинарных драйверах для устройств Pixel и Nexus, которые можно скачать на <a href="https://developers.google.com/android/nexus/drivers">сайте для разработчиков</a>.
</p>
<p>
<strong>5. Почему теперь одни уязвимости описываются в этом бюллетене, а другие – в бюллетенях по безопасности Android?</strong>
</p>
<p>
В бюллетене по безопасности Android описаны уязвимости, которые необходимо устранить в последнем обновлении системы безопасности для устройств Android. Решать дополнительные проблемы, перечисленные здесь, для этого не требуется.
</p>
<h2 id="versions">Версии</h2>
<table>
  <colgroup><col width="25%" />
  <col width="25%" />
  <col width="50%" />
  </colgroup><tbody><tr>
   <th>Версия</th>
   <th>Дата</th>
   <th>Примечания</th>
  </tr>
  <tr>
   <td>1.0</td>
   <td>2 июля 2018 г.</td>
   <td>Бюллетень опубликован.</td>
  </tr>
  <tr>
   <td>1.1</td>
   <td>3 июля 2018 г.</td>
   <td>Добавлены ссылки на AOSP.</td>
  </tr>
  <tr>
   <td>1.2</td>
   <td>8 ноября 2018 г.</td>
   <td>Изменена уязвимость CVE-2017-1000112.</td>
  </tr>
</tbody></table>

</body></html>